%define xorg xorg-x11
%define xf86 XFree86

%def_disable static
%def_disable ipv6

Name: xdm
Version: 1.1.4
Release: alt3
Serial: 2
Summary: X Display Manager with support for XDMCP, host chooser
License: MIT/X11
Group: System/X11
Url: http://xorg.freedesktop.org

Packager: XOrg Maintainer Team <xorg@packages.altlinux.org>

Source: %name-%version.tar.bz2
Source1: xdm.pamd

Patch0: xdm-1.1.4-alt-path.patch

Obsoletes: %xf86-%name %xorg-%name < %serial:%version-%release
Provides: %xf86-%name = 4.4 %xorg-%name = %serial:%version-%release

BuildRequires: libICE-devel libSM-devel libX11-devel libXau-devel libXaw-devel libXdmcp-devel libXext-devel
BuildRequires: libXft-devel libXinerama-devel libXmu-devel libXpm-devel libXt-devel libpam-devel pkg-config
BuildRequires: xorg-x11-proto-devel xorg-x11-xtrans-devel xorg-x11-util-macros

%description
Xdm  manages a collection of X displays, which may be on the local host
or remote servers.  The design of xdm was guided by the needs of X ter-
minals  as well as The Open Group standard XDMCP, the X Display Manager
Control Protocol.  Xdm provides services similar to those  provided  by
init,  getty and login on character terminals: prompting for login name
and password, authenticating the user, and running a ``session.''

%prep
%setup -q

%patch0 -p1

%build
%__autoreconf
%configure \
	%{subst_enable ipv6} \
	--disable-xprint \
	--with-xdmlibdir=%_libdir/X11/xdm \
	--with-xdmconfigdir=%_sysconfdir/X11/xdm \
	--with-xdmscriptdir=%_sysconfdir/X11/xdm \
	--with-pixmapdir=%_datadir/X11/xdm/pixmaps \
	--with-xft \
	%{subst_enable static}

%make_build

%install
%make DESTDIR=%buildroot install

%__install -pD -m644 %SOURCE1 %buildroot%_sysconfdir/pam.d/xdm

# explicitly create X authdir
%__mkdir_p %buildroot%_localstatedir/xdm
%__ln_s -f ../../..%_localstatedir/xdm %buildroot%_sysconfdir/X11/xdm/authdir

%__mkdir_p %buildroot%_sysconfdir/logrotate.d
cat << EOF > %buildroot%_sysconfdir/logrotate.d/xdm
%_logdir/xdm-error.log {
	notifempty
	missingok
	nocompress
}
EOF

%files
%_sysconfdir/X11/app-defaults/*
%dir %_sysconfdir/X11/xdm
%_sysconfdir/X11/xdm/authdir
%_sysconfdir/logrotate.d/xdm
%_sysconfdir/pam.d/xdm
%_bindir/*
%dir %_libdir/X11/xdm
%_libdir/X11/xdm/chooser
%_libdir/X11/xdm/lib*.so
%_datadir/X11/xdm
%dir %attr(0700,root,root) %_localstatedir/xdm
%_man1dir/*

%changelog
* Wed Apr 04 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:1.1.4-alt3
- added lost %_datadir/X11/xdm dir

* Mon Mar 12 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:1.1.4-alt2
- fixed DEF_USER_PATH and DEF_SYSTEM_PATH (clased #11060)

* Tue Feb 06 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:1.1.4-alt1
- 1.1.4:
  + Bug #8561: xdm painfully slow at cursor redraws
  + Make sure windowPath is properly initialized & freed
  + Reset username prompt to default string at start of PAM loop
  + Rearrange checks for maximum username & password length

* Sat Dec 16 2006 Valery Inozemtsev <shrek@altlinux.ru> 2:1.1.3-alt1
- 1.1.3
- rename package %xorg-%name to %name

* Thu Nov 30 2006 Valery Inozemtsev <shrek@altlinux.ru> 2:1.1.2-alt1
- 1.1.2

* Mon Oct 16 2006 Valery Inozemtsev <shrek@altlinux.ru> 2:1.0.5-alt1
- rollback to 1.0.5 (1.1.0 problem with pam_console)

* Fri Oct 13 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.1.0-alt2
- build --with-xft

* Wed Oct 04 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.1.0-alt1
- 1.1.0

* Fri Jun 30 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.4-alt2
- added xdm-1.0.4-setuid.patch

* Fri Apr 28 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.4-alt1
- 1.0.4

* Sun Apr 16 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.3-alt2
- CVS snapchot 2006-04-14
- fixed Provides/Obsoletes

* Sat Apr 01 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.3-alt1
- 1.0.3

* Tue Mar 28 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.2-alt1
- 1.0.2

* Thu Mar 16 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.1-alt5
- CVS snapshot 2006-03-10

* Sun Mar 05 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.1-alt4
- fixed segfault in netaddr.c:ConvertAddr if ifa_addr is NULL

* Fri Jan 13 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.1-alt3
- Rebuilt for new style PAM dependencies generated by rpm-build-4.0.4-alt55

* Mon Jan 09 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.1-alt2
- fixed BuildRequires
- added servonly patch

* Tue Dec 27 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.1-alt1
- Xorg-7.0

* Mon Dec 05 2005 Valery Inozemtsev <shrek@altlinux.ru> 0.99.4-alt1
- Xorg-7.0RC3

* Wed Nov 23 2005 Valery Inozemtsev <shrek@altlinux.ru> 0.99.3-alt0.1
- initial release

